# Apache Camel Protocol Entry
camel-receiver:
  selector: default
  default:
    version: v1.0.0

# Zabbix Trapper Sender
zabbix-sender:
  selector: ${ZS_RECEIVER_ZABBIX_SENDER:default}
  default:
    port: ${ZS_RECEIVER_ZABBIX_POST:10051}
    host: ${ZS_RECEIVER_ZABBIX_HOST:127.0.0.1}

# core module config
core:
  selector: ${ZS_CORE:default}
  default:
    prepareThreads: ${ZS_CORE_PREPARE_THREADS:2}
    restHost: ${ZS_CORE_REST_HOST:0.0.0.0}
    restPort: ${ZS_CORE_REST_PORT:12800}
    restContextPath: ${ZS_CORE_REST_CONTEXT_PATH:/}
    restMinThreads: ${ZS_CORE_REST_JETTY_MIN_THREADS:1}
    restMaxThreads: ${ZS_CORE_REST_JETTY_MAX_THREADS:200}
    restIdleTimeOut: ${ZS_CORE_REST_JETTY_IDLE_TIMEOUT:30000}
    restAcceptorPriorityDelta: ${ZS_CORE_REST_JETTY_DELTA:0}
    restAcceptQueueSize: ${ZS_CORE_REST_JETTY_QUEUE_SIZE:0}
    httpMaxRequestHeaderSize: ${ZS_CORE_HTTP_MAX_REQUEST_HEADER_SIZE:8192}

# local db h2, must be default
local-h2:
  selector: default
  default:
    version: v1.0.0

# ndjson file read realtime
server-transfer:
  selector: ${ZS_SERVER_TRANSFER:-}
  default:
    name: ${ZS_TRANSFER_NAME:zeus-transfer}
    pattern: ${ZS_TRANSFER_PATTERN:/home/data/history-history-syncer-[0-9]{1}.ndjson}
    fileMaxWait: ${ZS_TRANSFER_FILE_MAXWAIT:30}

# tdengine storage realtime
storage:
  selector: ${ZS_STORAGE:none}
  none:
  tdengine:
    url: ${ZS_STORAGE_TDENGINE_URL:jdbc:TAOS://127.0.0.1:6030/zeus_data} # TDEngine jdbcUrl
    user: ${ZS_STORAGE_TDENGINE_USER:root}
    password: ${ZS_STORAGE_TDENGINE_PASSWORD:taosdata}

# health check
health-checker:
  selector: ${ZS_HEALTH_CHECKER:default}
  default:
    checkIntervalSeconds: ${ZS_HEALTH_CHECKER_INTERVAL_SECONDS:5}

# health telemetry
telemetry:
  selector: ${ZS_TELEMETRY:prometheus}
  none:
  prometheus:
    host: ${ZS_TELEMETRY_PROMETHEUS_HOST:0.0.0.0}
    port: ${ZS_TELEMETRY_PROMETHEUS_PORT:12900}
    sslEnabled: ${ZS_TELEMETRY_PROMETHEUS_SSL_ENABLED:false}
    sslKeyPath: ${ZS_TELEMETRY_PROMETHEUS_SSL_KEY_PATH:""}
    sslCertChainPath: ${ZS_TELEMETRY_PROMETHEUS_SSL_CERT_CHAIN_PATH:""}